Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.config
Class AbstractAnnotationConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.AnnotationsConfigurationBuilder
              org.mule.module.ibeans.config.AbstractAnnotationConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

Direct Known Subclasses:
  IBeanHolderConfigurationBuilder

    public abstract class AbstractAnnotationConfigurationBuilder

extends AnnotationsConfigurationBuilder

Provides implementation support for configuration builders that configure Mule by scanning annotations on the classpath. One of more scan packages can be used to locate classes with annotations. The packages to be scanned cn be configured in two ways: 1) Pass one or more comma-separated packages into the constructor of this builder 2) if no packages are set via the constructor or the `DEFAULT_BASE_PACKAGE` value is used, the classpath will be scanned for `META-INF/ibeans.properties`. Zero or more of these will be loaded and the package names defined in either the 'ibeans.scan.packages' or 'annotations.scan.packages' will be scanned. This allows users to configure specific packages to scan in their application.

Field Summary
`protected String[]` | `basepackages`
`protected ClassLoader` | `classLoader`
`static String[]` | `DEFAULT_BASE_PACKAGE`
`static String` | `IBEANS_PROPERTIES`

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configured, logger`

Constructor Summary
`AbstractAnnotationConfigurationBuilder()`
`AbstractAnnotationConfigurationBuilder(ClassLoader classLoader)`
`AbstractAnnotationConfigurationBuilder(ClassLoader classLoader, String... basepackages)`
`AbstractAnnotationConfigurationBuilder(String... basepackages)`

Method Summary
`protected String[]` | `convertPackagesToPaths(String[] packages)`
`protected ClasspathScanner` | `createClasspathScanner()`
`protected String[]` | `findPackages()`
`protected abstract String` | `getScanPackagesProperty()`

Methods inherited from class org.mule.config.AnnotationsConfigurationBuilder
`createAnnotationsParserFactory, doConfigure`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`applyLifecycle, configure, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IBEANS_PROPERTIES

    public static final String IBEANS_PROPERTIES

See Also:
  Constant Field Values

### DEFAULT_BASE_PACKAGE

    public static final String[] DEFAULT_BASE_PACKAGE

### classLoader

    protected ClassLoader classLoader

### basepackages

    protected String[] basepackages

Constructor Detail

### AbstractAnnotationConfigurationBuilder

    public AbstractAnnotationConfigurationBuilder()

### AbstractAnnotationConfigurationBuilder

    public AbstractAnnotationConfigurationBuilder(String... basepackages)

### AbstractAnnotationConfigurationBuilder

    public AbstractAnnotationConfigurationBuilder(ClassLoader classLoader)

### AbstractAnnotationConfigurationBuilder

    public AbstractAnnotationConfigurationBuilder(ClassLoader classLoader,
                                                  String... basepackages)

Method Detail

### createClasspathScanner

    protected ClasspathScanner createClasspathScanner()
                                               throws IOException

  Throws:
    `IOException`

### getScanPackagesProperty

    protected abstract String getScanPackagesProperty()

### convertPackagesToPaths

    protected String[] convertPackagesToPaths(String[] packages)

### findPackages

    protected String[] findPackages()
                             throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.